View Issue Details

IDProjectCategoryView StatusLast Update
0011935LazarusLCLpublic2009-10-23 00:39
ReporterEberhard Assigned ToPaul Ishenin  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.24 
Target Version1.0.0Fixed in Version0.9.27 (SVN) 
Summary0011935: Font.Size size changes after second Showmodal for many widgets
DescriptionIf you set the font-size property, for example on 25,
and then you start a form with showmodal the first time everything is ok.
When you start this form the second, third, forth, ... time
most of the widgets in this form loose the font.size- property.


It happens on gtk and gtk2.
OS: OpenSuse 10.3, fpc 2.2.0, lazarus 09.24


It happens not on windows XP.


I found 2 similar bugs,
Nr: 0011394: TBitBtn font changes size on second ShowModal
  but this is reported for widgetset carbon

Nr: 0007656: Font-Settings in Memo-Field after ShowModal ignored
  but this case describes a problem with the color and not with the size property.


I explored all widgets on the tabs 'standard' and 'Additional' which have the font.size property

Following widgets change their font.size
 - Button
 - Edit
 - Memo
 - Combobox
 - Checkbox
 - Radiobutton
 - BitBtn
 - StaticText
 - EditButton



The following widgets are ok:
 - Label
 - Panel
 - SpeedButton
 - StringGrid



The following is OK on gkt and not OK on gtk2:
 - Listbox


I made an example-project, see the attachment.
TagsNo tags attached.
Fixed in Revision19936
LazTarget1.0
WidgetsetGTK 2
Attached Files

Relationships

child of 0008165 closedMattias Gaertner GTK2 - suggested to be default 

Activities

2008-08-20 23:26

 

font_size_gtk2.tar.gz (120,133 bytes)

Bent Normann Olsen

2008-09-25 10:15

reporter   ~0022429

The exact same thing happens on Carbon/i386 (v0.9.25/fpc2.2.2) - the mentioned widgets changes font after calling ShowModal the second time, but using Show does not. My components are set to ParentFont, so something happens somewhere between the 1st and the 2nd call, perhaps on closing the first ModalShow.

Bent Normann Olsen

2008-09-25 10:33

reporter   ~0022432

A minor test, calling ShowModal and then Show, is showing font changes, which means the changes happens on closing a modal form.

Vincent Snijders

2008-09-28 20:29

manager   ~0022472

IIRC, on closing a modal form, its handle is destroyed.

Paul Ishenin

2009-05-12 07:24

manager   ~0027544

Please test and close if ok.

Issue History

Date Modified Username Field Change
2008-08-20 23:26 Eberhard New Issue
2008-08-20 23:26 Eberhard File Added: font_size_gtk2.tar.gz
2008-08-20 23:26 Eberhard Widgetset => GTK 2
2008-08-21 08:21 Vincent Snijders LazTarget => 1.2
2008-08-21 08:21 Vincent Snijders Status new => acknowledged
2008-08-21 08:22 Vincent Snijders Relationship added child of 0008165
2008-09-25 10:15 Bent Normann Olsen Note Added: 0022429
2008-09-25 10:33 Bent Normann Olsen Note Added: 0022432
2008-09-28 20:29 Vincent Snijders Note Added: 0022472
2009-05-12 07:24 Paul Ishenin Fixed in Revision => 19936
2009-05-12 07:24 Paul Ishenin LazTarget 1.2 => 1.0
2009-05-12 07:24 Paul Ishenin Status acknowledged => resolved
2009-05-12 07:24 Paul Ishenin Fixed in Version => 0.9.27 (SVN)
2009-05-12 07:24 Paul Ishenin Resolution open => fixed
2009-05-12 07:24 Paul Ishenin Assigned To => Paul Ishenin
2009-05-12 07:24 Paul Ishenin Note Added: 0027544
2009-05-12 07:25 Paul Ishenin Target Version => 1.0.0
2009-10-23 00:39 Marc Weustink Status resolved => closed